[**Flutter ETS API Documentation v1.0.0**](../../../../README.md)

***

# Class: PlatformViewInfo

Information about a platform view embedded in Flutter.

## Constructors

### Constructor

> **new PlatformViewInfo**(`platformView`, `surfaceId`, `width`, `height`, `top`, `left`, `direction`): `PlatformViewInfo`

Constructs a new PlatformViewInfo instance.

#### Parameters

##### platformView

`PlatformView`

The platform view instance

##### surfaceId

`string`

The surface ID

##### width

`number`

The width of the view

##### height

`number`

The height of the view

##### top

`number`

The top position

##### left

`number`

The left position

##### direction

`Direction`

The layout direction

#### Returns

`PlatformViewInfo`

## Properties

### direction

> **direction**: `Direction`

The layout direction for the platform view.

***

### height

> **height**: `number`

The height of the platform view.

***

### left

> **left**: `number`

The left position of the platform view.

***

### platformView

> **platformView**: `PlatformView`

The platform view instance.

***

### surfaceId

> **surfaceId**: `string`

The surface ID for rendering.

***

### top

> **top**: `number`

The top position of the platform view.

***

### width

> **width**: `number`

The width of the platform view.
